@model Bulky.Models.ViewModels.RoleManagementVM
@using Bulky.Utils

@{
   var companyVisible = "display:none;";
}

<div class="card shadow border-0 mt-4">
    <div class="card-header bg-secondary bg-gradient ml-0 py-3">
        <div class="row">
            <div class="col-12 text-center">
                <h2 class="text-white py-2">Manage User Roles</h2>
            </div>
        </div>
    </div>
    <div class="card-body p-4">
        <form method="post" class="row">
            <input asp-for="ApplicationUser.Id" hidden />
            <div class="border p-3">
                <div class="row pb-2">
                </div>
                <div class="form-floating py-2 col-12">
                    <input asp-for="ApplicationUser.Name" readonly class="form-control border-0 shadow"></input>
                    <label asp-for="ApplicationUser.Name" class="ms-2"></label>
                </div>
                @if (User.IsInRole(SD.Role_Admin))
                {
                <div class="form-floating py-2 col-12">
                    <select asp-for="ApplicationUser.Role" asp-items="@Model.RoleList" class="form-select">
                    </select>
                </div>

                @if (Model.ApplicationUser.Role == SD.Role_Company) {
                    companyVisible = "display:block;";
                }
                    <div class="form-floating py-2 col-12">
                        <select asp-for="ApplicationUser.CompanyId" style="@companyVisible" asp-items="@Model.CompanyList" class="form-select">
                        </select>
                    </div>
                <div class="row pt-2">
                    <div class="col-md-6 col-md-3">
                        <button type="submit" class="btn btn-primary" style="width:120px">Update Role</button>
                        <a asp-action="Index" class="btn btn-secondary" >Back to User Management</a>
                    </div>
                </div>

                }

            </div>
        </form>
    </div>
</div>




@section scripts {
    @{
        <partial name="_ValidationScriptsPartial" />
    }

    <script>
         $(document).ready(function () {
             $(ApplicationUser_Role).change(function () {
                 let selection = $('#ApplicationUser_Role Option:Selected').text();
                 if (selection == "Company") {
                     $('#ApplicationUser_CompanyId').show();
                 }
                 else{
                     $('#ApplicationUser_CompanyId').hide();
                 }
            })
        })
    </script>
}
